test for GL/glu.h too (fixes part of bug 879474)

git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@43045 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
This commit is contained in:
Vadim Zeitlin 2006-11-04 17:40:31 +00:00
parent 02b0502025
commit 5dfc7e56e5
2 changed files with 145 additions and 2 deletions

142
configure vendored
View File

@ -33698,6 +33698,144 @@ echo "${ECHO_T}$ac_cv_header_GL_gl_h" >&6
fi
if test $ac_cv_header_GL_gl_h = yes; then
if test "${ac_cv_header_GL_glu_h+set}" = set; then
echo "$as_me:$LINENO: checking for GL/glu.h" >&5
echo $ECHO_N "checking for GL/glu.h... $ECHO_C" >&6
if test "${ac_cv_header_GL_glu_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
echo "$as_me:$LINENO: result: $ac_cv_header_GL_glu_h" >&5
echo "${ECHO_T}$ac_cv_header_GL_glu_h" >&6
else
# Is the header compilable?
echo "$as_me:$LINENO: checking GL/glu.h usability" >&5
echo $ECHO_N "checking GL/glu.h usability... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <GL/glu.h>
_ACEOF
rm -f conftest.$ac_objext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6
# Is the header present?
echo "$as_me:$LINENO: checking GL/glu.h presence" >&5
echo $ECHO_N "checking GL/glu.h presence... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <GL/glu.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_cxx_preproc_warn_flag
ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
else
ac_cpp_err=
fi
else
ac_cpp_err=yes
fi
if test -z "$ac_cpp_err"; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: GL/glu.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: GL/glu.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: GL/glu.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: GL/glu.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: GL/glu.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: GL/glu.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: GL/glu.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: GL/glu.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: GL/glu.h: in the future, the compiler will take precedence" >&2;}
(
cat <<\_ASBOX
## ----------------------------------------- ##
## Report this to wx-dev@lists.wxwidgets.org ##
## ----------------------------------------- ##
_ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
esac
echo "$as_me:$LINENO: checking for GL/glu.h" >&5
echo $ECHO_N "checking for GL/glu.h... $ECHO_C" >&6
if test "${ac_cv_header_GL_glu_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_GL_glu_h=$ac_header_preproc
fi
echo "$as_me:$LINENO: result: $ac_cv_header_GL_glu_h" >&5
echo "${ECHO_T}$ac_cv_header_GL_glu_h" >&6
fi
if test $ac_cv_header_GL_glu_h = yes; then
found_gl=0
echo "$as_me:$LINENO: checking for -lGL" >&5
@ -33824,6 +33962,10 @@ fi
fi
if test "x$OPENGL_LIBS" = "x"; then
{ { echo "$as_me:$LINENO: error: OpenGL libraries not available" >&5
echo "$as_me: error: OpenGL libraries not available" >&2;}

View File

@ -3884,8 +3884,8 @@ if test "$wxUSE_OPENGL" = "yes"; then
CPPFLAGS="$ac_path_to_include $CPPFLAGS"
fi
AC_CHECK_HEADER(GL/gl.h,
[
AC_CHECK_HEADER(GL/gl.h, [
AC_CHECK_HEADER(GL/glu.h, [
found_gl=0
AC_MSG_CHECKING([for -lGL])
@ -3933,6 +3933,7 @@ if test "$wxUSE_OPENGL" = "yes"; then
fi
fi
])
])
if test "x$OPENGL_LIBS" = "x"; then
dnl it should be an error and not a warning because OpenGL is not on